System.Core 3.5.0.0 4.0.0.0 System.Linq.Expressions.Expression System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/MemberExpressionProxy))

Use the , or factory methods to create a .

The value of the property of a is .

Represents accessing a field or property.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression ``

  This default implementation for nodes calls . Override this method to call into a more specific method on a derived visitor class of the class. However, it should still support unknown visitors by calling .

  Dispatches to the specific visit method for this node type. For example, calls the .

  The result of visiting this node.

  The visitor to visit this node with.
- Property
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the containing object of the field or property.

- Property
  3.5.0.0
  4.0.0.0
  System.Reflection.MemberInfo To be added. To be added.

  Gets the field or property to be accessed.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this .

- Method
  4.0.0.0
  System.Linq.Expressions.MemberExpression `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children are changed or an expression with the updated children.

  The property of the result.